## org.eclipse.datatools.modelbase.sql.query
Class NullOrderingType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.query.NullOrderingType

public final class NullOrderingType
extends AbstractEnumerator

A representation of the literals of the enumeration 'Null Ordering Type', and utility methods for working with them.

See Also:
  `SQLQueryModelPackage.getNullOrderingType()`, Serialized Form

Field Summary
`static int` `NONE` The 'NONE' literal value.
`static NullOrderingType` `NONE_LITERAL` The 'NONE' literal object.
`static int` `NULLS_FIRST` The 'NULLS FIRST' literal value.
`static NullOrderingType` `NULLS_FIRST_LITERAL` The 'NULLS FIRST' literal object.
`static int` `NULLS_LAST` The 'NULLS LAST' literal value.
`static NullOrderingType` `NULLS_LAST_LITERAL` The 'NULLS LAST' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Null Ordering Type' enumerators.

Method Summary
`static NullOrderingType` `get(int value)` Returns the 'Null Ordering Type' literal with the specified integer value.
`static NullOrderingType` `get(java.lang.String literal)` Returns the 'Null Ordering Type' literal with the specified literal value.
`static NullOrderingType` `getByName(java.lang.String name)` Returns the 'Null Ordering Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

  The 'NONE' literal value.

  If the meaning of 'NONE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE_LITERAL`, Constant Field Values

### NULLS_FIRST

    public static final int NULLS_FIRST

  The 'NULLS FIRST' literal value.

  If the meaning of 'NULLS FIRST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NULLS_FIRST_LITERAL`, Constant Field Values

### NULLS_LAST

    public static final int NULLS_LAST

  The 'NULLS LAST' literal value.

  If the meaning of 'NULLS LAST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NULLS_LAST_LITERAL`, Constant Field Values

### NONE_LITERAL

    public static final NullOrderingType NONE_LITERAL

  The 'NONE' literal object.

  See Also:
    `NONE`

### NULLS_FIRST_LITERAL

    public static final NullOrderingType NULLS_FIRST_LITERAL

  The 'NULLS FIRST' literal object.

  See Also:
    `NULLS_FIRST`

### NULLS_LAST_LITERAL

    public static final NullOrderingType NULLS_LAST_LITERAL

  The 'NULLS LAST' literal object.

  See Also:
    `NULLS_LAST`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Null Ordering Type' enumerators.

Method Detail

### get

    public static NullOrderingType get(java.lang.String literal)

  Returns the 'Null Ordering Type' literal with the specified literal value.

### getByName

    public static NullOrderingType getByName(java.lang.String name)

  Returns the 'Null Ordering Type' literal with the specified name.

### get

    public static NullOrderingType get(int value)

  Returns the 'Null Ordering Type' literal with the specified integer value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.